> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.usebridge.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.usebridge.com/_mcp/server.

# Stream ServiceEligibility

GET https://app.usebridge.com/api/service-eligibility/{id}/stream

Reference: https://docs.usebridge.com/api/api-reference/service-eligibility/stream-service-eligibility

## Authentication

- `X-API-Key` header (required) — API Key authentication via header

## Servers

- `https://app.usebridge.com` (Production, default)
- `https://app.usebridge.xyz` (Sandbox)

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

- Streaming response of `ServiceEligibilityStreamV1Response`.
- `id` (string, required)
- `organizationId` (string, required)
- `serviceTypeId` (string, required)
- `dateOfService` (datetime, required)
- `status` (enum, required)
  - Allowed values: `PENDING`, `UNINSURED`, `ELIGIBLE`, `INELIGIBLE`, `INEFFECTIVE`
- `providers` (list of ServiceEligibilityStreamV1ResponseProvider, required)
- `policyIds` (list of string, required)
- `state` (enum, required) — 2 letter US state code
  - Allowed values: `AL`, `AK`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DE`, `DC`, `FL`, `GA`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MI`, `MN`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`
- `validatedAt` (datetime, optional) — Timestamp this was executed
- `patientResponsibility` (ServiceEligibilityStreamV1ResponsePatientResponsibility, optional) — Describes the Patient Responsibility. All dollar values are in USD cents ($15 = 1500). The 'total' is the amount that the patient owes. The breakdown are in non-oop fields. The oop fields apply when the patient has hit (or will hit) their OOP limits.
- `messages` (list of string, optional)
- `clinicalInfo` (ServiceEligibilityStreamV1ResponseClinicalInfo, optional)
- `conditionalPatientResponsibilities` (list of ServiceEligibilityStreamV1ResponseConditionalPatientResponsibility, optional)

## Types

### ServiceEligibilityStreamV1ResponseProvider

- `id` (string, required)
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `MD`, `NP`, `DO`, `ND`, `AP`, `OT`, `LCSW`, `LMFT`, `LPC`, `PSYCH`, `RN`, `CN`, `CWC`, `CM`, `PA`, `RDN`, `PT`
- `npi` (string, required)
- `externalId` (string, optional)
- `providerEligibilityEnabled` (boolean, optional)
- `serviceEligibilityEnabled` (boolean, optional)

### ServiceEligibilityStreamV1ResponsePatientResponsibility

- `total` (integer, required) — The total amount owed by the Patient (sum of contributions and OOP-waived amounts), value is in USD cents ($15 = 1500)
- `fallback` (integer, required) — The fallback amount
- `deductible` (integer, required) — The deductible contribution
- `coinsurance` (integer, required) — The coinsurance contribution
- `coinsurancePercent` (double, required) — The coinsurance contribution as a percentage (15% = 0.15)
- `copayment` (integer, required) — The copayment contribution
- `oopFallback` (integer, required) — Amount of fallback waived due to OOP limits
- `oopCopayment` (integer, required) — Amount of copayment waived due to OOP limits
- `oopCoinsurance` (integer, required) — Amount of coinsurance waived due to OOP limits
- `oopDeductible` (integer, required) — Amount of deductible waived due to OOP limits
- `deductibleType` (enum, optional)
  - Allowed values: `INDIVIDUAL`, `FAMILY`

### ServiceEligibilityStreamV1ResponseClinicalInfo

- `diagnoses` (list of string, optional)

### ServiceEligibilityStreamV1ResponseConditionalPatientResponsibility

- `conditions` (list of ServiceEligibilityStreamV1ResponseConditionalPatientResponsibilitiesElementCondition, required)
- `limit` (ServiceEligibilityStreamV1ResponseConditionalPatientResponsibilitiesElementLimit, required)
- `patientResponsibility` (ServiceEligibilityStreamV1ResponseConditionalPatientResponsibilitiesElementPatientResponsibility, required) — Describes the Patient Responsibility. All dollar values are in USD cents ($15 = 1500). The 'total' is the amount that the patient owes. The breakdown are in non-oop fields. The oop fields apply when the patient has hit (or will hit) their OOP limits.

### ServiceEligibilityStreamV1ResponseConditionalPatientResponsibilitiesElementCondition

- `diagnoses` (list of string, optional)

### ServiceEligibilityStreamV1ResponseConditionalPatientResponsibilitiesElementLimit

- `type` (enum, required)
  - Allowed values: `UNKNOWN`, `UNLIMITED`, `LIMITED`
- `value` (integer, optional)
- `metric` (enum, optional)
  - Allowed values: `VISIT`, `UNITS`
- `period` (enum, optional)
  - Allowed values: `ANNUAL`, `BENEFIT_YEAR`, `LIFETIME`
- `units` (ServiceEligibilityStreamV1ResponseConditionalPatientResponsibilitiesElementLimitFieldUnits, optional)

### ServiceEligibilityStreamV1ResponseConditionalPatientResponsibilitiesElementPatientResponsibility

- `total` (integer, required) — The total amount owed by the Patient (sum of contributions and OOP-waived amounts), value is in USD cents ($15 = 1500)
- `fallback` (integer, required) — The fallback amount
- `deductible` (integer, required) — The deductible contribution
- `coinsurance` (integer, required) — The coinsurance contribution
- `coinsurancePercent` (double, required) — The coinsurance contribution as a percentage (15% = 0.15)
- `copayment` (integer, required) — The copayment contribution
- `oopFallback` (integer, required) — Amount of fallback waived due to OOP limits
- `oopCopayment` (integer, required) — Amount of copayment waived due to OOP limits
- `oopCoinsurance` (integer, required) — Amount of coinsurance waived due to OOP limits
- `oopDeductible` (integer, required) — Amount of deductible waived due to OOP limits
- `deductibleType` (enum, optional)
  - Allowed values: `INDIVIDUAL`, `FAMILY`

### ServiceEligibilityStreamV1ResponseConditionalPatientResponsibilitiesElementLimitFieldUnits

- `minutes` (integer, required) — Conversion rate from units to minutes
- `min` (integer, required) — Minimum number of units
- `max` (integer, required) — Maximum number of units

## Examples

**Response**

```text
event: 
data: {"id":"id","organizationId":"organizationId","validatedAt":"2024-01-15T09:30:00Z","serviceTypeId":"serviceTypeId","dateOfService":"2024-01-15T09:30:00Z","status":"PENDING","patientResponsibility":{"total":1,"fallback":1,"deductible":1,"deductibleType":"INDIVIDUAL","coinsurance":1,"coinsurancePercent":1.1,"copayment":1,"oopFallback":1,"oopCopayment":1,"oopCoinsurance":1,"oopDeductible":1},"providers":[{"id":"id","name":"name","externalId":"externalId","type":"MD","providerEligibilityEnabled":true,"serviceEligibilityEnabled":true,"npi":"npi"},{"id":"id","name":"name","externalId":"externalId","type":"MD","providerEligibilityEnabled":true,"serviceEligibilityEnabled":true,"npi":"npi"}],"policyIds":["policyIds","policyIds"],"state":"AL","messages":["messages","messages"],"clinicalInfo":{"diagnoses":["diagnoses","diagnoses"]},"conditionalPatientResponsibilities":[{"conditions":[{"diagnoses":["diagnoses","diagnoses"]},{"diagnoses":["diagnoses","diagnoses"]}],"limit":{"type":"UNKNOWN","value":1,"metric":"VISIT","period":"ANNUAL","units":{"minutes":1,"min":1,"max":1}},"patientResponsibility":{"total":1,"fallback":1,"deductible":1,"deductibleType":"INDIVIDUAL","coinsurance":1,"coinsurancePercent":1.1,"copayment":1,"oopFallback":1,"oopCopayment":1,"oopCoinsurance":1,"oopDeductible":1}},{"conditions":[{"diagnoses":["diagnoses","diagnoses"]},{"diagnoses":["diagnoses","diagnoses"]}],"limit":{"type":"UNKNOWN","value":1,"metric":"VISIT","period":"ANNUAL","units":{"minutes":1,"min":1,"max":1}},"patientResponsibility":{"total":1,"fallback":1,"deductible":1,"deductibleType":"INDIVIDUAL","coinsurance":1,"coinsurancePercent":1.1,"copayment":1,"oopFallback":1,"oopCopayment":1,"oopCoinsurance":1,"oopDeductible":1}}]}
```

**SDK Code**

```python
import requests

url = "https://app.usebridge.com/api/service-eligibility/id/stream"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.usebridge.com/api/service-eligibility/id/stream';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.usebridge.com/api/service-eligibility/id/stream"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.usebridge.com/api/service-eligibility/id/stream")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.usebridge.com/api/service-eligibility/id/stream")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.usebridge.com/api/service-eligibility/id/stream', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.usebridge.com/api/service-eligibility/id/stream");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.usebridge.com/api/service-eligibility/id/stream")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```